スタイルシートをコンパイルできませんでした

Java 7またはJava 6 Update 30以降搭載PC(Macも含む)でFreeMindファイルを開くと、

javax.xml.transform.Transformer Configuration Exception: スタイルシートをコンパイルできませんでした

というエラーが起きます。

FreeMind 0.9.0がJava 6 Update 30以降に対応していないことがエラーの原因です。FreeMind 0.9.0は2011年にリリースされました。その後、Java 7が2012年にリリースされました。FreeMind 0.9.0リリース時点で未来のJavaの変更を想定することは不可能であるため、このようなエラーは不可避であることをご了承ください。

上記のエラーが生じたら、まずFreeMindファイルをテキストエディタで開いて余計なタグを削除してから、再度FreeMindで開いてみましょう。

それでもエラーが出たら、FreeMind 1.0.0 最新版にアップグレードしてみましょう。

iThoughtsからエクスポートしたFreeMindファイルのエラー

iThoughtsで[Freemind08x Compatible]を[ON]に設定したまま、iThoughtsからFreeMindファイルをエクスポートして、PCでFreeMindファイルを開いた場合も、「javax.xml.transform.Transformer Configuration Exception: スタイルシートをコンパイルできませんでした」というエラーが起きます。

その場合は、iThoughtsの[Freemind08x Compatible]を[OFF]に設定してください。

[Freemind08x Compatible]の設定を[OFF]にしてもエラーが出る場合は、「Mindjetファイルの読み込み」のページの対策をご参照ください。

関連記事

FreeMindとは

FreeMind使おう会に💰投げ銭してみる❓

ビットコインの投げ銭は↓こちらへ
1NMrA5NQkUgK7qqo8HN6o94uonjoamUqKb

Donation of BTC Received. Thank You.